function y = jumpingRateS(x)
    %%
    %   Description:
    %      Jumping rate of S. You cannot use this code to calcualte jumping rate of K.
    %      The thing is that I don't recommend you to do this because of numerical issues.
    %   Synopsis:
    %       y = jumpingRate(x)
    %   Input:
    %       x = a 3-dim array
    %   Output:
    %       y = the jumping rate
    y = 0;    
    n = size(x, 3);
    %%
    %
    for i = 2:n
       if ~all(all(x(:, :, i) == x(:, :, i-1))) 
          y = y + 1; 
       end
    end
    y = y / n;
