#' @description Posterior mode.
#'
post.mode = function(draws,logpost,data.om,drop.size=5000){
    i = drop.size + 1
    current.max=-Inf
    current.index = 0
    while(i<=20000){
        log.posterior = logpost(draws$spost[,,i],draws$kpost[i],data.om)
        if(log.posterior>current.max){
            current.max = log.posterior
            current.index = i
        }
        i = i + 1
    }
    list(spmode=draws$spost[,,current.index],kpmode=draws$kpost[current.index],index=current.index,logpost=current.max)
}
