function y = misAngle(rms1,rms2)
    % Calculate the rotation angle between a rotation matrix and a list of other rotation matrices.
    n = size(rms1,3);
    y = zeros(n,1);
    for i = 1:n
        b = 0.5*(trace(rms1(:,:,i)'*rms2(:,:,i))-1);
        y(i) = acos(b);
    end
    
        
        
